import { Logger } from "tslog";

const loggerConfig: any = {
	type: "pretty", // pretty, json, hidden
	name: "Core",
	hideLogPositionForProduction: true,
	prettyLogTemplate: "{{dateIsoStr}} {{logLevelName}} {{nameWithDelimiterPrefix}} "
}

const coreLogger = new Logger(loggerConfig);
export const log = {
	core: coreLogger,
	db: coreLogger.getSubLogger({ name: "DB" }),
	web: coreLogger.getSubLogger({ name: "WEB" }),
	auth: coreLogger.getSubLogger({ name: "AUTH" }),
	helper: coreLogger.getSubLogger({ name: "HELPER" }),
};


// log.core.silly("Hello from core");
// log.core.trace("Hello from core");
// log.core.debug("Hello from core");
// log.core.info("Hello from core");
// log.core.warn("Hello from core");
// log.core.error("Hello from core");
// log.db.silly("Hello from db");
// log.db.trace("Hello from db");
// log.web.debug("Hello from db");
// log.auth.info("Hello from db");
// log.helper.warn("Hello from db");
// log.db.error("Hello from db");
// log.core.fatal(new Error("I am a pretty Error with a stacktrace."));

export default log;
